/**
 * 
 */
define(function(require){
	var $ = require('jquery');
	var IFA=require('util');
	require('dialog')($);
	require('uriTemplate')($);
	require('../../../styles/cim/jquery-ui-1.8.14.custom.css');
	require('../../../styles/cim/cim-grid.css');
	require('../../../styles/cim/validation.css');
	require('../../../styles/cim/autoComplete.css');
	require('../../../js/seaJsExtends/autoComplete.js')($);
		
	$(function(){
		//初始化模板
			smsTemplate("templateId0");
			smsTemplate("templateId1");
			smsTemplate("templateId2");
			smsTemplate("templateId3");
			smsTemplate("templateId4");
			emailTemplate("templateId5");
			emailTemplate("templateId6");
			emailTemplate("templateId7");
			emailTemplate("templateId8");
			emailTemplate("templateId9");
			emailTemplate("templateId10");
			emailTemplate("templateId11");
			aColor();
		//短信模板
		function smsTemplate(id){
			var object=$("#"+id);
			var target = $("#"+id+"Hidden");
		  	$.ajax({
				type:"get",
				url:$("#templateIdUrl").val(),
				success:function(response){
				var acdata=response.smsTemplate;			
				object.autocomplete(acdata,
					      {
							caption: "&nbsp;&nbsp;"+i18n["JS.notificationConfigSmsHotKey.caption"],
							findCaption: "&nbsp;,"+i18n["JS.notificationConfigSmsHotKey.findCaption"],
							noFindCaption: "&nbsp;&nbsp;"+i18n["JS.notificationConfigSmsHotKey.noFindCaption"]+":&nbsp; ",
							width: 200,
							max: 5,
							formatItem: function(row, i, max) {
					             var title="";
					             if(row.isRestrictive == 'Y'){
					            	 var maxService=Math.floor(row.fullUsageHrs/row.avgTransactionActual);
					            	 title=i18n["JS.productHotKey.title0"]+".&#13;"+i18n["JS.productHotKey.title1"]+":"+maxService;
					             }else{
					            	 title=i18n["JS.notificationConfigSmsHotKey.title0"];
					             }
								return '<span title="{2}"><span class="ac_code" >{0}</span><span class="ac_Name" >{1}</span></span>'.patchContent(row.smsTemplateId, row.smsTemplateTitle,title);
							},
							formatMatch: function(row, i, max) {
								return "{0} {1}".patchContent(row.smsTemplateId, row.smsTemplateTitle);
							},
							formatResult: function(row) {
								return "{0}".patchContent(row.smsTemplateTitle);
							}
						}).result(function(event, data, formatted) {
							object.val(data.smsTemplateTitle);
							target.val(data.smsTemplateId);
						});			
			}
			});
		}
		//邮件模板
		function emailTemplate(id){
			var template=$("#"+id);
			var target = $("#"+id+"Hidden");
		  	$.ajax({
				type:"get",
				url:$("#emailTemplateIdUrl").val(),
				success:function(response){
				var acdata=response.emailTemplate;
				template.autocomplete(acdata,
					      {
							caption: "&nbsp;&nbsp;"+i18n["JS.notificationConfigSmsHotKey.caption"],
							findCaption: "&nbsp;,"+i18n["JS.notificationConfigSmsHotKey.findCaption"],
							noFindCaption: "&nbsp;&nbsp;"+i18n["JS.notificationConfigSmsHotKey.noFindCaption"]+":&nbsp; ",
							width: 200,
							max: 5,
							formatItem: function(row, i, max) {
					             var title="";
					             if(row.isRestrictive == 'Y'){
					            	 var maxService=Math.floor(row.fullUsageHrs/row.avgTransactionActual);
					            	 title=i18n["JS.productHotKey.title0"]+".&#13;"+i18n["JS.productHotKey.title1"]+":"+maxService;
					             }else{
					            	 title=i18n["JS.notificationConfigSmsHotKey.title0"];
					             }
								return '<span title="{2}"><span class="ac_code" >{0}</span><span class="ac_Name" >{1}</span></span>'.patchContent(row.emailTemplateId, row.emailTemplateTitle,title);
							},
							formatMatch: function(row, i, max) {
								return "{0} {1}".patchContent(row.emailTemplateId, row.emailTemplateTitle);
							},
							formatResult: function(row) {
								return "{0}".patchContent(row.emailTemplateTitle);
							}
						}).result(function(event, data, formatted) {
							template.val(data.emailTemplateTitle);
							target.val(data.emailTemplateId);
						});
			}
			});
		}
		
	});
	
	$(function(){
		//绑定status
//		$("#Neworder").click(function(){
//			aColor();
//			$(this).css("color","red");
//			unChecked();
//			$("#form")[0].reset();
//			enableFormElement();
//			$("#userType0").attr("disabled","disabled");
//			$("#userType2").attr("disabled","disabled");
//			$("#userType4").attr("disabled","disabled");
//			$("#userType5").attr("disabled","disabled");
//			$("#userType7").attr("disabled","disabled");
//			$("#userType9").attr("disabled","disabled");
//			$("#templateId0").attr("disabled","disabled");
//			$("#templateId2").attr("disabled","disabled");
//			$("#templateId4").attr("disabled","disabled");
//			$("#templateId5").attr("disabled","disabled");
//			$("#templateId7").attr("disabled","disabled");
//			$("#templateId9").attr("disabled","disabled");
//			$("#status0").val("0");
//			$("#status1").val("0");
//			$("#status2").val("0");
//			$("#status3").val("0");
//			$("#status4").val("0");
//			$("#status5").val("0");
//			$("#status6").val("0");
//			$("#status7").val("0");
//			$("#status8").val("0");
//			$("#status9").val("0");
//			$("#status10").val("0");
//			$("#status11").val("0");
//			query();
//			$(this).addClass("higtLight");
//		});
		$("#Carallocation").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			$("#userType0").attr("disabled","disabled");
			$("#userType4").attr("disabled","disabled");
			$("#userType5").attr("disabled","disabled");
			$("#userType9").attr("disabled","disabled");
			$("#templateId0").attr("disabled","disabled");
			$("#templateId4").attr("disabled","disabled");
			$("#templateId5").attr("disabled","disabled");
			$("#templateId9").attr("disabled","disabled");
			unChecked();
			$("#status1").val("1");
			$("#status2").val("1");
			$("#status3").val("1");
			$("#status4").val("1");
			$("#status5").val("1");
			$("#status6").val("1");
			$("#status7").val("1");
			$("#status8").val("1");
			$("#status9").val("1");
			$("#status0").val("1");
			$("#status10").val("1");
			$("#status11").val("1");
			query();
		});
		$("#Dispatching").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			$("#userType0").attr("disabled","disabled");
			$("#userType4").attr("disabled","disabled");
			$("#userType5").attr("disabled","disabled");
			$("#userType9").attr("disabled","disabled");
			$("#templateId0").attr("disabled","disabled");
			$("#templateId4").attr("disabled","disabled");
			$("#templateId5").attr("disabled","disabled");
			$("#templateId9").attr("disabled","disabled");
			unChecked();
			$("#status1").val("2");
			$("#status2").val("2");
			$("#status3").val("2");
			$("#status4").val("2");
			$("#status5").val("2");
			$("#status6").val("2");
			$("#status7").val("2");
			$("#status8").val("2");
			$("#status9").val("2");
			$("#status0").val("2");
			$("#status10").val("2");
			$("#status11").val("2");
			query();
			
		});
//		$("#Conciergeallocation").click(function(){
//			aColor();
//			$(this).css("color","red");
//			$("#form")[0].reset();
//			unChecked();
//			$("#status1").val("3");
//			$("#status2").val("3");
//			$("#status3").val("3");
//			$("#status4").val("3");
//			$("#status5").val("3");
//			$("#status6").val("3");
//			$("#status7").val("3");
//			$("#status8").val("3");
//			$("#status9").val("3");
//			$("#status0").val("3");
//			$("#status10").val("3");
//			$("#status11").val("3");
//			query();
//		});
		$("#Sendandchecking").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			unChecked();
			$("#status1").val("3");
			$("#status2").val("3");
			$("#status3").val("3");
			$("#status4").val("3");
			$("#status5").val("3");
			$("#status6").val("3");
			$("#status7").val("3");
			$("#status8").val("3");
			$("#status9").val("3");
			$("#status0").val("3");
			$("#status10").val("3");
			$("#status11").val("3");
			query();
		});
		$("#Driverfeedback").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			unChecked();
			$("#status1").val("4");
			$("#status2").val("4");
			$("#status3").val("4");
			$("#status4").val("4");
			$("#status5").val("4");
			$("#status6").val("4");
			$("#status7").val("4");
			$("#status8").val("4");
			$("#status9").val("4");
			$("#status0").val("4");
			$("#status10").val("4");
			$("#status11").val("4");
			query();
		});
		$("#Verifying").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			unChecked();
			$("#status1").val("5");
			$("#status2").val("5");
			$("#status3").val("5");
			$("#status4").val("5");
			$("#status5").val("5");
			$("#status6").val("5");
			$("#status7").val("5");
			$("#status8").val("5");
			$("#status9").val("5");
			$("#status0").val("5");
			$("#status10").val("5");
			$("#status11").val("5");
			query();
		});
		$("#OrderClose").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			unChecked();
			$("#status1").val("6");
			$("#status2").val("6");
			$("#status3").val("6");
			$("#status4").val("6");
			$("#status5").val("6");
			$("#status6").val("6");
			$("#status7").val("6");
			$("#status8").val("6");
			$("#status9").val("6");
			$("#status0").val("6");
			$("#status10").val("6");
			$("#status11").val("6");
			query();
		});
		$("#Noshow").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			unChecked();
			$("#status1").val("7");
			$("#status2").val("7");
			$("#status3").val("7");
			$("#status4").val("7");
			$("#status5").val("7");
			$("#status6").val("7");
			$("#status7").val("7");
			$("#status8").val("7");
			$("#status9").val("7");
			$("#status0").val("7");
			$("#status10").val("7");
			$("#status11").val("7");
			query();
		});
		
		$("#realNoshow").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			unChecked();
			$("#status1").val("12");
			$("#status2").val("12");
			$("#status3").val("12");
			$("#status4").val("12");
			$("#status5").val("12");
			$("#status6").val("12");
			$("#status7").val("12");
			$("#status8").val("12");
			$("#status9").val("12");
			$("#status0").val("12");
			$("#status10").val("12");
			$("#status11").val("12");
			query();
		});
		
		$("#denyRes").click(function(){
			aColor();
			$(this).css("color","red");
			$("#form")[0].reset();
			enableFormElement();
			$("#userType0").attr("disabled","disabled");
			$("#userType4").attr("disabled","disabled");
			$("#userType5").attr("disabled","disabled");
			$("#userType9").attr("disabled","disabled");
			$("#templateId0").attr("disabled","disabled");
			$("#templateId4").attr("disabled","disabled");
			$("#templateId5").attr("disabled","disabled");
			$("#templateId9").attr("disabled","disabled");
			unChecked();
			$("#status1").val("10");
			$("#status2").val("10");
			$("#status3").val("10");
			$("#status4").val("10");
			$("#status5").val("10");
			$("#status6").val("10");
			$("#status7").val("10");
			$("#status8").val("10");
			$("#status9").val("10");
			$("#status0").val("10");
			$("#status10").val("10");
			$("#status11").val("10");
			query();
		});
		
		$("#Carallocation").trigger("click");
		
		function enableFormElement(){
			$("#form").find("input,textarea").each(function(){
				$(this).attr("disabled",false);
			});
		}
	});
	
	//取消复选框选中状态
	function unChecked(){
		$("#userType0").attr("checked",false);
		$("#userType1").attr("checked",false);
		$("#userType2").attr("checked",false);
		$("#userType3").attr("checked",false);
		$("#userType4").attr("checked",false);
		$("#userType5").attr("checked",false);
		$("#userType6").attr("checked",false);
		$("#userType7").attr("checked",false);
		$("#userType8").attr("checked",false);
		$("#userType9").attr("checked",false);
		$("#userType10").attr("checked",false);
		$("#userType11").attr("checked",false);
	}
	
	//查询并显示配置信息
	function query(){
		var urlStr = new $.Template($("#configReqUrl").val());
		var param = {"status":$("#status1").val()};
		var url = urlStr.expand(param);
		$.get(url,function(data){
			$.each(data.configers,function(i,item){
				if(item.notificationType==0){
					if(item.userType==0){
						$("#userType0").attr("checked","true");
						$("#templateId0").val(item.templateName);
						$("#templateId0Hidden").val(item.templateId);
					}
					if(item.userType==1){
						$("#userType1").attr("checked","true");
						$("#templateId1").val(item.templateName);
						$("#templateId1Hidden").val(item.templateId);
					}
					if(item.userType==2){
						$("#userType2").attr("checked","true");
						$("#templateId2").val(item.templateName);
						$("#templateId2Hidden").val(item.templateId);
					}
					if(item.userType==3){
						$("#userType3").attr("checked","true");
						$("#templateId3").val(item.templateName);
						$("#templateId3Hidden").val(item.templateId);
					}
					if(item.userType==4){
						$("#userType4").attr("checked","true");
						$("#templateId4").val(item.templateName);
						$("#templateId4Hidden").val(item.templateId);
					}
					if(item.userType==5){
						$("#userType10").attr("checked","true");
						$("#templateId10").val(item.templateName);
						$("#templateId10Hidden").val(item.templateId);
						$("#otherContacts10").val(item.otherContacts);	
					}
				}
				if(item.notificationType==1){
					if(item.userType==0){
						$("#userType5").attr("checked","true");
						$("#templateId5").val(item.templateName);
						$("#templateId5Hidden").val(item.templateId);
					}
					if(item.userType==1){
						$("#userType6").attr("checked","true");
						$("#templateId6").val(item.templateName);
						$("#templateId6Hidden").val(item.templateId);
					}
					if(item.userType==2){
						$("#userType7").attr("checked","true");
						$("#templateId7").val(item.templateName);
						$("#templateId7Hidden").val(item.templateId);
					}
					if(item.userType==3){
						$("#userType8").attr("checked","true");
						$("#templateId8").val(item.templateName);
						$("#templateId8Hidden").val(item.templateId);
					}
					if(item.userType==4){
						$("#userType9").attr("checked","true");
						$("#templateId9").val(item.templateName);
						$("#templateId9Hidden").val(item.templateId);
					}
					if(item.userType==5){
						$("#userType11").attr("checked","true");
						$("#templateId11").val(item.templateName);
						$("#templateId11Hidden").val(item.templateId);
						$("#otherContacts11").val(item.otherContacts);	
					}
				}
			});

		});
	}
	
	//提交表单
	$("#submit").click(function(){
		submit();
		return false;
	});
	
	function submit(){
		$.ajax({
			type:"post",
			url:$("#configSubmit").val(),
			data:$("#form").serialize(),
			success:function(response){
			    $.msg.alert(i18n["JS.notification.system.tips"],i18n["JS.notification.saveClosedSuccess"]);
			},
			error:function(){
				$.msg.alert(i18n["JS.notification.system.tips"],i18n["JS.notification.saveClosedFailed"]);
				}
		});
	}
	//设置<a>颜色
	function aColor(){
//		$("#Neworder").css("color","#990099");
		$("#Carallocation").css("color","#990099");
		$("#Dispatching").css("color","#990099");
		//$("#Conciergeallocation").css("color","#990099");
		$("#Sendandchecking").css("color","#990099");
		$("#Driverfeedback").css("color","#990099");
		$("#Verifying").css("color","#990099");
		$("#OrderClose").css("color","#990099");
		$("#Noshow").css("color","#990099");
		$("#realNoshow").css("color","#990099");
		$("#denyRes").css("color","#990099");
	}
});








	
	

